
# Loaded Drivers

    Module                  Size  Used by
    nfnetlink_queue        24576  0
    nfnetlink_log          20480  0
    nfnetlink              16384  2 nfnetlink_queue,nfnetlink_log
    ccm                    20480  6
    btrfs                1359872  0
    blake2b_generic        20480  0
    zstd_compress         159744  1 btrfs
    ufs                    81920  0
    qnx4                   16384  0
    hfsplus               110592  0
    hfs                    61440  0
    minix                  36864  0
    msdos                  20480  0
    jfs                   192512  0
    xfs                  1495040  0
    ext2                   86016  0
    rfcomm                 81920  16
    st                     57344  0
    vfs_monitor            28672  0
    bnep                   24576  2
    binfmt_misc            24576  1
    nls_iso8859_1          16384  1
    uvcvideo              102400  0
    videobuf2_vmalloc      20480  1 uvcvideo
    videobuf2_memops       20480  1 videobuf2_vmalloc
    videobuf2_v4l2         32768  1 uvcvideo
    videobuf2_common       61440  2 videobuf2_v4l2,uvcvideo
    videodev              249856  3 videobuf2_v4l2,uvcvideo,videobuf2_common
    mc                     57344  4 videodev,videobuf2_v4l2,uvcvideo,videobuf2_common
    edac_mce_amd           32768  0
    btusb                  57344  0
    btrtl                  20480  1 btusb
    kvm_amd               102400  0
    btbcm                  16384  1 btusb
    btintel                28672  1 btusb
    kvm                   786432  1 kvm_amd
    bluetooth             626688  41 btrtl,btintel,btbcm,bnep,btusb,rfcomm
    crct10dif_pclmul       16384  1
    ecdh_generic           16384  1 bluetooth
    ecc                    36864  1 ecdh_generic
    snd_hda_codec_realtek   143360  1
    crc32_pclmul           16384  0
    ghash_clmulni_intel    16384  0
    snd_hda_codec_generic    81920  1 snd_hda_codec_realtek
    snd_hda_codec_hdmi     61440  1
    iwlmvm                356352  0
    aesni_intel           372736  4
    crypto_simd            16384  1 aesni_intel
    mac80211              958464  1 iwlmvm
    snd_hda_intel          53248  7
    cryptd                 24576  2 crypto_simd,ghash_clmulni_intel
    libarc4                16384  1 mac80211
    wl                   6455296  0
    snd_intel_dspcfg       28672  1 snd_hda_intel
    glue_helper            16384  1 aesni_intel
    snd_hda_codec         147456  4 snd_hda_codec_generic,snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec_realtek
    rapl                   20480  0
    joydev                 24576  0
    input_leds             16384  0
    snd_hda_core           94208  5 snd_hda_codec_generic,snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec,snd_hda_codec_realtek
    snd_hwdep              20480  1 snd_hda_codec
    iwlwifi               274432  1 iwlmvm
    wmi_bmof               16384  0
    huawei_wmi             16384  0
    snd_rn_pci_acp3x       20480  0
    serio_raw              20480  0
    ledtrig_audio          16384  2 snd_hda_codec_generic,huawei_wmi
    snd_pcm               114688  6 snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec,snd_hda_core
    pcspkr                 16384  0
    sparse_keymap          16384  1 huawei_wmi
    efi_pstore             16384  0
    snd_timer              40960  1 snd_pcm
    hid_multitouch         28672  0
    k10temp                16384  0
    sp5100_tco             20480  0
    snd                    94208  20 snd_hda_codec_generic,snd_hda_codec_hdmi,snd_hwdep,snd_hda_intel,snd_hda_codec,snd_hda_codec_realtek,snd_timer,snd_pcm
    snd_pci_acp3x          20480  0
    soundcore              16384  1 snd
    ccp                    98304  7 kvm_amd
    cfg80211              839680  4 wl,iwlmvm,iwlwifi,mac80211
    mac_hid                16384  0
    ip_tables              32768  0
    x_tables               45056  1 ip_tables
    autofs4                45056  2
    raid10                 57344  0
    raid456               159744  0
    async_raid6_recov      24576  1 raid456
    async_memcpy           20480  2 raid456,async_raid6_recov
    async_pq               24576  2 raid456,async_raid6_recov
    async_xor              20480  3 async_pq,raid456,async_raid6_recov
    async_tx               20480  5 async_pq,async_memcpy,async_xor,raid456,async_raid6_recov
    xor                    24576  2 async_xor,btrfs
    usbmouse               16384  0
    usbhid                 57344  0
    raid6_pq              114688  4 async_pq,btrfs,raid456,async_raid6_recov
    libcrc32c              16384  3 btrfs,xfs,raid456
    raid1                  49152  0
    raid0                  24576  0
    multipath              20480  0
    linear                 20480  0
    amdgpu               5324800  45
    iommu_v2               20480  1 amdgpu
    gpu_sched              40960  1 amdgpu
    i2c_algo_bit           16384  1 amdgpu
    ttm                   102400  1 amdgpu
    drm_kms_helper        229376  1 amdgpu
    syscopyarea            16384  1 drm_kms_helper
    sysfillrect            16384  1 drm_kms_helper
    sysimgblt              16384  1 drm_kms_helper
    fb_sys_fops            16384  1 drm_kms_helper
    cec                    53248  1 drm_kms_helper
    psmouse               155648  0
    hid_generic            16384  0
    drm                   577536  21 gpu_sched,drm_kms_helper,amdgpu,ttm
    i2c_piix4              28672  0
    xhci_pci               24576  0
    xhci_pci_renesas       20480  1 xhci_pci
    wmi                    32768  2 huawei_wmi,wmi_bmof
    video                  53248  0

# Driver Modules File

    # /etc/modules: kernel modules to load at boot time.
    #
    # This file contains the names of kernel modules that should be loaded
    # at boot time, one per line. Lines beginning with "#" are ignored.

# Driver Blacklist File

    /etc/modprobe.d/8821ce.conf
    /etc/modprobe.d/blacklist-bcm43.conf
    /etc/modprobe.d/dkms.conf
    /etc/modprobe.d/intel-microcode-blacklist.conf
    /etc/modprobe.d/iwlwifi.conf
    /etc/modprobe.d/mdadm.conf
    
    
    
    ## /etc/modprobe.d/8821ce.conf
    options 8821ce rtw_tx_pwr_lmt_enable=0
    
    ## /etc/modprobe.d/blacklist-bcm43.conf
    # Warning: This file is autogenerated by bcmwl. All changes to this file will be lost.
    blacklist b43
    blacklist b43legacy
    blacklist ssb
    blacklist bcm43xx
    blacklist brcm80211
    blacklist brcmfmac
    blacklist brcmsmac
    blacklist bcma
    
    ## /etc/modprobe.d/dkms.conf
    # modprobe information used for DKMS modules
    #
    # This is a stub file, should be edited when needed,
    # used by default by DKMS.
    
    ## /etc/modprobe.d/intel-microcode-blacklist.conf
    # The microcode module attempts to apply a microcode update when
    # it autoloads.  This is not always safe, so we block it by default.
    blacklist microcode
    
    ## /etc/modprobe.d/iwlwifi.conf
    options iwlwifi bt_coex_active=0 power_save=0 swcrypto=0
    
    ## /etc/modprobe.d/mdadm.conf
    # mdadm module configuration file
    # set start_ro=1 to make newly assembled arrays read-only initially,
    # to prevent metadata writes.  This is needed in order to allow
    # resume-from-disk to work - new boot should not perform writes
    # because it will be done behind the back of the system being
    # resumed.  See http://bugs.debian.org/415441 for details.
    
    options md_mod start_ro=1

# Installed Driver Packages

    ii  bcmwl-kernel-source                           6.30.223.274-1                             amd64        Broadcom 802.11 Linux STA wireless driver source
    ii  cups                                          2.3.0.2-1+dde                              amd64        Common UNIX Printing System(tm) - PPD/driver support, web interface
    ii  cups-core-drivers                             2.3.0.2-1+dde                              amd64        Common UNIX Printing System(tm) - driverless printing
    ii  cups-filters-core-drivers                     1.21.6.6-1+eagle                           amd64        OpenPrinting CUPS Filters - Driverless printing
    ii  exfat-fuse                                    1.3.0.3-1+deepin                           amd64        read and write exFAT driver for FUSE
    ii  huawei-wmi-dkms5                              3.2.1                                      amd64        This driver adds support for some of the missing
    ii  i965-va-driver:amd64                          2.3.0+dfsg1-1                              amd64        VAAPI driver for Intel G45 & HD Graphics family
    ii  ibverbs-providers:amd64                       22.1-1                                     amd64        User space provider drivers for libibverbs
    ii  intel-media-va-driver:amd64                   18.4.1+dfsg1-1                             amd64        VAAPI driver for the Intel GEN8+ Graphics family
    ii  ipheth-utils                                  1.0-5                                      amd64        USB tethering driver support utilities for the iPhone
    ii  kwin-wayland-backend-drm                      4:5.15.11.27-1                             amd64        KDE window manager drm plugin
    ii  libasound2-data                               1.2.4-1.1                                  all          Configuration files and profiles for ALSA drivers
    ii  libdrm-amdgpu1:amd64                          2.4.104-1                                  amd64        Userspace interface to amdgpu-specific kernel DRM services -- runtime
    ii  libdrm-common                                 2.4.104-1                                  all          Userspace interface to kernel DRM services -- common files
    ii  libdrm-intel1:amd64                           2.4.104-1                                  amd64        Userspace interface to intel-specific kernel DRM services -- runtime
    ii  libdrm-nouveau2:amd64                         2.4.104-1                                  amd64        Userspace interface to nouveau-specific kernel DRM services -- runtime
    ii  libdrm-radeon1:amd64                          2.4.104-1                                  amd64        Userspace interface to radeon-specific kernel DRM services -- runtime
    ii  libdrm2:amd64                                 2.4.104-1                                  amd64        Userspace interface to kernel DRM services -- runtime
    ii  libegl-mesa0:amd64                            20.3.4.2-1                                 amd64        free implementation of the EGL API -- Mesa vendor library
    ii  libgl1-mesa-dri:amd64                         20.3.4.2-1                                 amd64        free implementation of the OpenGL API -- DRI modules
    ii  libglapi-mesa:amd64                           20.3.4.2-1                                 amd64        free implementation of the GL API -- shared library
    ii  libglu1-mesa:amd64                            9.0.0.1-1+rebuild                          amd64        Mesa OpenGL utility library (GLU)
    ii  libglx-mesa0:amd64                            20.3.4.2-1                                 amd64        free implementation of the OpenGL API -- GLX vendor library
    ii  libgutenprint-common                          5.3.1-7                                    all          support files for the Gutenprint printer driver library
    ii  libgutenprint9                                5.3.1-7                                    amd64        runtime for the Gutenprint printer driver library
    ii  liblwp-protocol-https-perl                    6.07-2                                     all          HTTPS driver for LWP::UserAgent
    ii  libntfs-3g883                                 1:2017.3.23AR.4-3                          amd64        read/write NTFS driver for FUSE (runtime library)
    ii  libqt5sql5-sqlite:amd64                       5.15.3.1-1+dde                             amd64        Qt 5 SQLite 3 database driver
    ii  libreoffice-base-drivers                      1:7.0.4-4+deb11u1~bpo10+1                  amd64        Database connectivity drivers for LibreOffice
    ii  libva-drm2:amd64                              2.4.0-1                                    amd64        Video Acceleration (VA) API for Linux -- DRM runtime
    ii  libvdpau-va-gl1:amd64                         0.4.2.1-1+rebuild                          amd64        VDPAU driver with OpenGL/VAAPI backend
    ii  linux-firmware                                1.202.3                                    all          Firmware for Linux kernel drivers
    ii  mesa-va-drivers:amd64                         20.3.4.2-1                                 amd64        Mesa VA-API video acceleration drivers
    ii  mesa-vdpau-drivers:amd64                      20.3.4.2-1                                 amd64        Mesa VDPAU video acceleration drivers
    ii  ntfs-3g                                       1:2017.3.23AR.4-3                          amd64        read/write NTFS driver for FUSE
    ii  pppoe                                         3.12-1.2                                   amd64        PPP over Ethernet driver
    ii  printer-driver-brlaser                        4-1                                        amd64        printer driver for (some) Brother laser printers
    ii  printer-driver-c2050                          0.3b-8                                     amd64        printer driver for Lexmark 2050 Color Jetprinter
    ii  printer-driver-c2esp                          27-4                                       amd64        printer driver for Kodak ESP AiO color inkjet Series
    ii  printer-driver-cjet                           0.8.9-7                                    amd64        printer driver for Canon LBP laser printers
    ii  printer-driver-dymo                           1.4.0-8                                    amd64        printer driver for DYMO label printers
    ii  printer-driver-escpr                          1.6.33-1                                   amd64        printer driver for Epson Inkjet that use ESC/P-R
    ii  printer-driver-foo2zjs                        20171202dfsg0-2                            amd64        printer driver for ZjStream-based printers
    ii  printer-driver-foo2zjs-common                 20171202dfsg0-2                            all          printer driver for ZjStream-based printers - common files
    ii  printer-driver-gutenprint                     5.3.1-7                                    amd64        printer drivers for CUPS
    ii  printer-driver-hpcups                         3.18.12+dfsg0-2                            amd64        HP Linux Printing and Imaging - CUPS Raster driver (hpcups)
    ii  printer-driver-hpijs                          3.18.12+dfsg0-2                            amd64        HP Linux Printing and Imaging - printer driver (hpijs)
    ii  printer-driver-m2300w                         0.51-13                                    amd64        printer driver for Minolta magicolor 2300W/2400W color laser printers
    ii  printer-driver-min12xxw                       0.0.9-11                                   amd64        printer driver for KonicaMinolta PagePro 1[234]xxW
    ii  printer-driver-pnm2ppa                        1.13-9                                     amd64        printer driver for HP-GDI printers
    ii  printer-driver-postscript-hp                  3.18.12+dfsg0-2                            amd64        HP Printers PostScript Descriptions
    ii  printer-driver-ptouch                         1.4.2-3                                    amd64        printer driver Brother P-touch label printers
    ii  printer-driver-pxljr                          1.4+repack0-5                              amd64        printer driver for HP Color LaserJet 35xx/36xx
    ii  printer-driver-sag-gdi                        0.1-7                                      all          printer driver for Ricoh Aficio SP 1000s/SP 1100s
    ii  printer-driver-splix                          2.0.0+svn315-7                             amd64        Driver for Samsung and Xerox SPL2 and SPLc laser printers
    ii  va-driver-all:amd64                           2.4.0-1                                    amd64        Video Acceleration (VA) API -- driver metapackage
    ii  vdpau-driver-all:amd64                        1.1.1-10                                   amd64        Video Decode and Presentation API for Unix (driver metapackage)
    ii  vdpau-va-driver:amd64                         0.7.4-7                                    amd64        VDPAU-based backend for VA API
    ii  xserver-xorg-input-all                        1:7.7+19                                   amd64        X.Org X server -- input driver metapackage
    ii  xserver-xorg-input-libinput                   0.28.2-2                                   amd64        X.Org X server -- libinput input driver
    ii  xserver-xorg-input-wacom                      0.34.99.1-1                                amd64        X.Org X server -- Wacom input driver
    ii  xserver-xorg-video-all                        1:7.7+19                                   amd64        X.Org X server -- output driver metapackage
    ii  xserver-xorg-video-amdgpu                     18.1.99.1-1+eagle                          amd64        X.Org X server -- AMDGPU display driver
    ii  xserver-xorg-video-ati                        1:19.1.0-2                                 amd64        X.Org X server -- AMD/ATI display driver wrapper
    ii  xserver-xorg-video-fbdev                      1:0.5.0-2                                  amd64        X.Org X server -- fbdev display driver
    ii  xserver-xorg-video-intel                      2:2.99.917+git20180925-2                   amd64        X.Org X server -- Intel i8xx, i9xx display driver
    ii  xserver-xorg-video-nouveau                    1:1.0.16-1                                 amd64        X.Org X server -- Nouveau display driver
    ii  xserver-xorg-video-radeon                     1:19.1.0-2                                 amd64        X.Org X server -- AMD/ATI Radeon display driver
    ii  xserver-xorg-video-vesa                       1:2.4.0-1                                  amd64        X.Org X server -- VESA display driver
    ii  xserver-xorg-video-vmware                     1:13.3.0-2                                 amd64        X.Org X server -- VMware display driver
